cURL
curl --request POST \ --url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Book Appointment", "key": "<string>", "description": "<string>", "recommendation_actions": "<string>", "confidence_threshold": 0.7, "intent_llm_handle_by_response": true, "webhook": { "url": "<string>", "auth_token": "<string>" }, "parameters": [ { "key": "email", "default": "<string>", "type": "string", "required": true } ] } '
{ "success": true, "data": { "intent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "key": "<string>", "name": "<string>", "description": "<string>", "recommendation_actions": "<string>", "confidence_threshold": 123, "is_system": true, "intent_llm_handle_by_response": true, "webhook": { "url": "<string>", "auth_token": "<string>" }, "parameters": [ { "key": "email", "default": "<string>", "type": "string", "required": true } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
"Book Appointment"
Auto-generated from name when omitted (e.g. 'book_appointment')
When this intent should trigger
0.7
Show child attributes
Intent created